---
title: "googlepay"
slug: "googlepay"
updated: 2025-03-05T16:55:30Z
published: 2026-01-22T13:05:41Z
canonical: "api-docs.blinkpayment.co.uk/googlepay"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# googlepay

Post/api/pay/v1/googlepay

		
			

Using the googlepay resource to accept ECOM payments from Google Pay. The response may be an html form (*acsform*) that needs to be auto-submitted for the transaction to go through 3Ds checks.

**Request Body**

- `payment_intent` (string, required): The payment intent token.
- `paymentToken` (string, required): The tokenised card details generated from Google Pay.
- `type` (integer, required): value must be 1.
- `customer_email` (string, required): The email address of the customer making the payment.
- `customer_name` (string, required): The name of the customer making the payment.
- `customer_address` (string, optional): The billing address of the customer's card may be required for additional AVS checking.
- `customer_postcode` (string, optional): The billing post code of the customer's card may be required for additional AVS checking.
- `transaction_unique` (string, required): A unique identifier for the transaction.
- `resource` (string, required): value should be "*googlepay*".
- `merchant_data` (json, optional): Additional custom data related to the merchant or customer.

**Response**

`url` (string): The return_url entered in the intent with query parameters of the transaction result.

		
		
SecurityHTTPType bearer

Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c
Accept-CharsetstringExample""

Body parameters<select class='api-response-data' aria-label='Media type'><option value='23c67818-92bf-4983-bc07-906f6a2c8690'>application/json</option>
</select>object  Example{
  "payment_intent": "{{payment_intent}}",
  "resource": "googlepay",
  "paymentToken": "{\"signature\":\"MEQCIGM2t5fGZ2KNa9SjxfZ9BpkEeOetFuiwI8gp12bsYpvmAiBaTHCut/0RJXSZHehdDUkE8o5RDj1YXKodmpbP4dTWcw\\u003d\\u003d\",\"intermediateSigningKey\":{\"signedKey\":\"{\\\"keyValue\\\":\\\"MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEvvrmBuLqO7a0FQNtI1mgXd5wWKkzuS9GC59cQjx0eMavvJuxDJcnyqcho73exvLGkOcAunlUYX54S+7bJBJyIw\\\\u003d\\\\u003d\\\",\\\"keyExpiration\\\":\\\"1721815223719\\\"}\",\"signatures\":[\"MEQCIAflvCpW9p897y13P435Qme6kWxU5qklpuJVFbbMiFBSAiAEAmALi3ZnRYPp+HSQwwVAec96z0jDWCp2JoexBdBkaQ\\u003d\\u003d\"]},\"protocolVersion\":\"ECv2\",\"signedMessage\":\"{\\\"encryptedMessage\\\":\\\"00ThDSjhUWpdv0eWDt551dhtEMamhtkcZMV/W8q+Db1+jSuEi024ZQuTWaciBVjxICTw2JlJXMXZpzeNU4RkQgD+HNNvj6r3kBEB3lgq6x8Uz4FkZrj8RLo1buUrhkD5D5SZ/CnKVrvViFfeNxuOSr/+F1v6a5JWWIiFq7Ty5323bygSmDbyWBjXqPWdInXwaUT0CRVzmXnK8L1mOewXdjZhqZMVKypejumY1MiCafQ+t0tRmasyIa1UYBpiGEekumu+J9upbavPVH2//MyaxWC/y9abWRCXxDH/j/OU0ltOZiXnP4P8g+tnxnNS9GYSLL4+xw9p5Hx+BKFzDL9Um8l6SoMeQFvvLN8CSlXr/tlTbonY9pKAB37sRIykS+DYLhyLFGhlBt4d3FI61UWwj0CDyQ1W48hRMy0nC3wUospOGgRQorc1OeC9pgXCSVPayNsP9Q\\\\u003d\\\\u003d\\\",\\\"ephemeralPublicKey\\\":\\\"BIAI7cWkfkfkvthQwS5gp2WXT+motdZ9Gr7jwUyZtYyUaHv6k6PyhWUBl75kKDV8SwjSzaVKe4xlvwkJdnru9TE\\\\u003d\\\",\\\"tag\\\":\\\"cMVa3uiu8Q3GVP/Sx91BaPWOpIxdTI7s0+nVscdzkTU\\\\u003d\\\"}\"}",
  "type": 1,
  "customer_email": "{{$randomEmail}}",
  "customer_name": "{{$randomFullName}}",
  "transaction_unique": "{{transaction_unique}}",
  "merchant_data": "{\"order_id\": \"cc-12345678\"}",
  "device_timezone": "-330",
  "device_capabilities": "javascript",
  "device_accept_language": "en-GB",
  "device_screen_resolution": "1366x768x24",
  "remote_address": "123.123.123.123"
}

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='89b2f439-2732-41cb-9f16-19391d8f222b'>application/json</option>
</select>
